summaryrefslogtreecommitdiffstats
path: root/libraries/DevIL/DevIL.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/DevIL/DevIL.SlackBuild')
-rw-r--r--libraries/DevIL/DevIL.SlackBuild27
1 files changed, 23 insertions, 4 deletions
diff --git a/libraries/DevIL/DevIL.SlackBuild b/libraries/DevIL/DevIL.SlackBuild
index c169be9fdf..8edd6781a9 100644
--- a/libraries/DevIL/DevIL.SlackBuild
+++ b/libraries/DevIL/DevIL.SlackBuild
@@ -5,11 +5,12 @@
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=DevIL
-VERSION=1.6.8
+VERSION=${VERSION:-1.6.8}
PKG_VERSION=${VERSION}_rc2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -19,6 +20,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -30,7 +33,23 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$(echo $PKG_VERSION | tr _ -).tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+rw,go-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the typo that prevents building with Allegro
+# Also patch files to change (ILvoid) to (void) in order to
+# fix issues with gcc 4.2.
+# Thanks to David Somero for the heads up on this.
+patch -p1 < $CWD/ILvoid_fix_1.diff
+patch -p1 < $CWD/ILvoid_fix_2.diff
+# There is a space in the filename's path, so we have to cd into
+# the offending directory before patching.
+( cd cpp\ wrapper
+ patch < $CWD/ILvoid_fix_3.diff
+)
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -41,7 +60,7 @@ force_arch="$ARCH" make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)